*** This do-file corresponds to the dataset "Marquart et al_data_EUP.dta" 
*** Note: there is also an R syntax with the name "Marquart et al_This time Im voting_Rmodels"
*** Article: “This Time I’m (not) Voting” A comprehensive overview of campaign factors influencing turnout at European Parliament Elections
*** Authors: F. Marquart / A.C. Goldberg / C.H. de Vreese
*** Journal: European Union Politics 
*** Date: 16 June 2020

 

*** Figure 1 ***

table Q999, c(mean turnout)

*the respective official turnout figures have been retrieved from https://europarl.europa.eu/election-results-2019/en/turnout/
*graph created in excel



*** Figure 2 ***

tab1 campaign_activecommonline_3cat camexp_event_3cat intperscomm_peopleonline_3cat campaign_convinceothers_3cat ///
camexp_activeinfo_3cat camexp_material_3cat campaign_reclame_3cat camexp_socialmedia_3cat ///
intperscomm_colleagues_3cat intperscomm_family_3cat  campaign_poster_3cat camexp_analog_3cat     
 
*ordered as in graph created in excel



*** Table 1 can be found in the R syntax ***

*General note on multilevel models: While we prefer running the models in R (usually faster computation and easier to export results into word), we received some warning messages.
*To doublecheck the robustness of the models in R, we replicated the models also in Stata, which leads to exact same results without any warning/problems.

*As one such replication example we add here the exact same full model (T1M5) as calculated in R in the Stata setting:

melogit turnout ///
i.camexp_analog_3cat i.camexp_socialmedia_3cat i.campaign_reclame_3cat i.campaign_poster_3cat ///
i.camexp_event_3cat i.camexp_activeinfo_3cat i.camexp_material_3cat i.campaign_activecommonline_3cat i.campaign_convinceothers_3cat ///
i.intperscomm_family_3cat i.intperscomm_colleagues_3cat i.intperscomm_peopleonline_3cat ///
voteintention polpart polintEU polefficacy econeval satisfactiongov trustEP civicduty c.leftright##c.leftright ///
c.age##c.age woman ESISCED ///
|| Q999:



*** Table 2 can be found in the R syntax ***


 
 
*** APPENDIX ****

*** Table A2 ***

pwcorr camexp_analog camexp_socialmedia campaign_reclame campaign_poster ///
	   Q800E activeinfo camexp_material activeonline convince ///
       intperscomm_family intperscomm_colleagues intperscomm_peopleonline



*** Table A3 ***

reg turnout ///
i.camexp_analog_3cat i.camexp_socialmedia_3cat i.campaign_reclame_3cat i.campaign_poster_3cat ///
i.camexp_event_3cat i.camexp_activeinfo_3cat i.camexp_material_3cat i.campaign_activecommonline_3cat i.campaign_convinceothers_3cat ///
i.intperscomm_family_3cat i.intperscomm_colleagues_3cat i.intperscomm_peopleonline_3cat ///
polpart polintEU polefficacy econeval satisfactiongov trustEP civicduty leftright ///
age woman ESISCED

estat vif



*** Table A4 can be found in the R syntax ***

*** Table A5 can be found in the R syntax ***

